using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class UpdatetableCandidateaddoccupationnationoffamily : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "MarryNationality",
                table: "Candidates",
                type: "varchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "สัญชาติคู่สมรส")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "MarryOccupation",
                table: "Candidates",
                type: "varchar(100)",
                maxLength: 100,
                nullable: true,
                comment: "อาชีพคู่สมรส")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "MarryNationality",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "MarryOccupation",
                table: "Candidates");
        }
    }
}
